#!/usr/bin/env python
"""Module ldap"""
from pyeole.process import system_code
from pyeole.service import service_out
from glob import glob
from os import unlink
from pyeole.bacularestore import bacula_restore_one_file, exit_if_running_jobs

ldapfile = '/home/backup/sauv_ldap.ldif'

def execute(option, opt_str, value, parser, jobid, test_jobs=True):
    """ldap helper"""
    if len(parser.rargs) > 0:
        option = parser.rargs[0]
        if option == 'pre':
            pre()
        elif option == 'post':
            post()
    else:
        if test_jobs:
            exit_if_running_jobs()
        job(jobid)

def pre():
    print "pre ldap"

def post():
    print "post ldap"
    try:
        from creole.eosfunc import load_container_var
        container_conf = load_container_var()
    except:
        container_conf = {}
    service_out('slapd', 'stop', 'annuraire')
    system_code(["sleep", "5"])
    path = container_conf.get('container_path_annuaire', '')
    for files in glob("{0}/var/lib/ldap/*.*".format(path)):
        unlink(files)
    system_code(["/usr/sbin/slapadd", "-f", "/etc/ldap/slapd.conf", "-l", ldapfile], 'annuaire')
    system_code(["chown", "-R", "openldap:openldap", "{0}/var/lib/ldap/".format(path)], 'annuaire')
    service_out('slapd', 'start', 'annuaire')

def job(jobid):
    print "Restauration de l'annuaire LDAP"
    bacula_restore_one_file(ldapfile, jobid)


priority=20
